Bug 1736618 - rubygem-openscap: FTBFS in Fedora rawhide/f31
Summary: rubygem-openscap: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-openscap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Šimon Lukašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 19:11 UTC by Fedora Release Engineering
Modified: 2019-08-05 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-02 18:37:53 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-08-01 19:11 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 19:11 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2019-08-01 19:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 19:11:12 UTC
rubygem-openscap failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637482


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix rubygem-openscap at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-openscap will be orphaned. Before branching of Fedora 32,
rubygem-openscap will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 19:11:14 UTC
Created attachment 1599108 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-08-01 19:11:16 UTC
Created attachment 1599109 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 19:11:18 UTC
Created attachment 1599110 [details]
state.log

Comment 4 Šimon Lukašík 2019-08-02 18:02:59 UTC
Seems we will need equivalent of https://github.com/OpenSCAP/openscap/commit/b967d10ca3af64539367c3c6280f6dbb9fc2fd64 in upstream too.

Comment 5 Šimon Lukašík 2019-08-02 18:14:14 UTC
https://github.com/OpenSCAP/ruby-openscap/pull/16

Comment 6 Šimon Lukašík 2019-08-02 18:33:50 UTC
Everything is pretty green again. https://koji.fedoraproject.org/koji/taskinfo?taskID=36765000


Note You need to log in before you can comment on or make changes to this bug.